Attribute VB_Name = "INIfunctions"
Public Declare Function GetPrivateProfileString Lib "Kernel32" _
   Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As _
   String, ByVal lpKeyName As Any, ByVal lpDefault As String, _
   ByVal lpReturnedString As String, ByVal nSize As Long, _
   ByVal lpFileName As String) As Long

Public Declare Function WritePrivateProfileString Lib "Kernel32" _
   Alias "WritePrivateProfileStringA" (ByVal lpApplicationName _
   As String, ByVal lpKeyName As Any, ByVal lpString As Any, _
   ByVal lpFileName As String) As Long

Public Function WriteINI(Dateiname As String, DieSektion As String, _
   DerEintrag As String, Wert As String) As Long
   WriteINI = WritePrivateProfileString(DieSektion, DerEintrag, _
   Wert, Dateiname)
End Function

Public Function GetINIString(Dateiname As String, _
   DieSektion As String, DerEintrag As String) As String
   Dim temp As String
   Dim x As Long
   temp$ = String(255, 0)
   x = GetPrivateProfileString(DieSektion, DerEintrag, "", _
             temp$, 255, Dateiname)
   temp$ = Left$(temp$, x)
   GetINIString = temp$
End Function

Public Function getINIflag(Dateiname As String, DieSektion As String, DerEintrag As String, wennNichtVorhanden As Boolean) As Boolean
   Dim temp As String
   temp = GetINIString(Dateiname, DieSektion, DerEintrag)
   If temp = "" Then
        getINIflag = wennNichtVorhanden
        Exit Function
   End If
   getINIflag = False
   If temp = "1" Then getINIflag = True
   If temp = "yes" Then getINIflag = True
   If temp = "ja" Then getINIflag = True
End Function

Public Function FileExists(Path As String) As Boolean
  Const NotFile = vbDirectory + vbVolume
  On Error Resume Next
  FileExists = (GetAttr(Path) And NotFile) = 0
End Function


