Attribute VB_Name = "RASFunctions"
'Bentigte Konstante
Private Const RAS_MAXENTRYNAME = 256
'RASENTRYNAME-Struktur
Private Type RASENTRYNAME
  dwSize As Long
  szEntryName(RAS_MAXENTRYNAME) As Byte
End Type
'API-Deklaration
Private Declare Function apiRasEnumEntries Lib "rasapi32.dll" _
  Alias "RasEnumEntriesA" (ByVal reserved As String, _
  ByVal lpszPhonebook As String, lpRasEntryName As Any, _
  lpcb As Long, lpcEntries As Long) As Long

Private Declare Function apiRasEnumConnections Lib "rasapi32.dll" _
  Alias "RasEnumConnectionsA" (lpRasConn As Any, lpcb As Long, _
  lpcConnections As Long) As Long

'Deklaration ntiger Konstanten
Const RAS_MAXDEVICETYPE = 16
Const RAS_MAXDEVICENAME = 128
Const RAS_RASCONNSIZE = 412
'RASCONN-Struktur, die die Eigenschaften der DF-Verbindung enthlt
Private Type RASCONN
  dwSize As Long
  hRasConn As Long
  szEntryName(RAS_MAXENTRYNAME) As Byte
  szDeviceType(RAS_MAXDEVICETYPE) As Byte
  szDeviceName(RAS_MAXDEVICENAME) As Byte
End Type


Public Function NoOfConnectionsToInternet() As Long
  Dim lngIndex As Long
  Dim lpRasConn(255) As RASCONN
  Dim lpcb As Long
  Dim lpcConnections As Long
  Dim hRasConn As Long
  Dim lngResult As Long
  'Gre setzen
  lpRasConn(0).dwSize = RAS_RASCONNSIZE
  lpcb = RAS_MAXENTRYNAME * lpRasConn(0).dwSize
  lpcConnections = 0
  'Alle aktiven Verbindungen aufzhlen
  lngResult = apiRasEnumConnections(lpRasConn(0), lpcb, _
    lpcConnections)
  'Aussteigen bei Fehlern
  If lngResult <> 0 Then
    NoOfConnectionsToInternet = -1
    Exit Function
  End If
  NoOfConnectionsToInternet = lpcConnections
End Function

Public Function ConnectedToInternet() As Boolean
    If NoOfConnectionsToInternet = 0 Then
        ConnectedToInternet = False
    Else
        ConnectedToInternet = True
    End If
End Function

Public Function GetRASEntries() As Collection
  Dim lngIndex As Long
  Dim lngResult As Long
  Dim lpRasEntryName(255) As RASENTRYNAME
  Dim lpcb As Long
  Dim lpcEntries As Long
  Dim colEntries As Collection
  Dim strEntry As String
  'Gre der Struktur und des gesamten Datenfeldes setzen
  lpRasEntryName(0).dwSize = 264
  lpcb = 256 * lpRasEntryName(0).dwSize
  lpcEntries = 0
  'Nun alle Eintrge des DF-Netzwerkes zurckgeben lassen
  lngResult = apiRasEnumEntries(vbNullString, vbNullString, _
    lpRasEntryName(0), lpcb, lpcEntries)
  'Auf Fehler prfen und alle Eintrge im Collection-Objekt auflisten
  If lngResult = 0 Then
    Set colEntries = New Collection
    For lngIndex = 0 To lpcEntries - 1
      strEntry = StrConv(lpRasEntryName(lngIndex).szEntryName, _
        vbUnicode)
      colEntries.Add Mid(strEntry, 1, InStr(strEntry, Chr(0)) - 1)
    Next lngIndex
  End If
  'Collection-Objekt zurckgeben
  Set GetRASEntries = colEntries
End Function

