VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "mswinsck.ocx"
Begin VB.Form frmServer 
   BorderStyle     =   4  'Festes Werkzeugfenster
   Caption         =   "RASConnect"
   ClientHeight    =   1095
   ClientLeft      =   45
   ClientTop       =   390
   ClientWidth     =   1575
   ClipControls    =   0   'False
   Icon            =   "frmServer.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1095
   ScaleWidth      =   1575
   StartUpPosition =   3  'Windows-Standard
   Begin MSWinsockLib.Winsock statusSocket 
      Index           =   0
      Left            =   135
      Top             =   135
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.CommandButton showLog 
      Caption         =   "Logfile anzeigen"
      Height          =   375
      Left            =   0
      TabIndex        =   2
      Top             =   720
      Width           =   1575
   End
   Begin VB.CommandButton minimieren 
      Caption         =   "Fenster verstecken"
      Height          =   375
      Left            =   0
      TabIndex        =   1
      Top             =   360
      Width           =   1575
   End
   Begin VB.CommandButton Beenden 
      Caption         =   "Server beenden"
      Height          =   375
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1575
   End
   Begin MSWinsockLib.Winsock tcpServer 
      Left            =   0
      Top             =   0
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin MSWinsockLib.Winsock tcpClient 
      Left            =   840
      Top             =   0
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
      RemoteHost      =   "127.0.0.1"
      RemotePort      =   16345
   End
End
Attribute VB_Name = "frmServer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Const standardport = 16345
Private Const GW_HWNDNEXT = 2

Dim socketport As Integer
Dim apppath As String
Dim ENDE As Boolean
Dim logging As Boolean
Dim logfile As String
Dim inifile As String

Dim intmax As Long

Private Sub Beenden_Click()
    Unload Me
End Sub


Private Sub Form_Load()
    Dim temp As String
    Dim i As Variant
    apppath = App.Path
    If Right(apppath, 1) <> "\" Then apppath = apppath & "\"
    logfile = "rasconnect.log"
    inifile = apppath & "rasconnect.ini"
    ENDE = False
    socketport = standardport
    intmax = 0
    
    'INIfile auslesen
    logging = getINIflag(inifile, "Settings", "logging", True)
    If logging = True Then i = WriteINI(inifile, "Settings", "logging", "1")
    temp = GetINIString(inifile, "Settings", "port")
    socketport = 0
    On Error Resume Next
    socketport = CInt(temp)
    On Error GoTo 0
    If temp = "" Then
        socketport = standardport
        i = WriteINI(inifile, "Settings", "port", socketport & "")
    End If
    If (socketport < 2000) Or (socketport > 30000) Then
        i = MsgBox("Es wurde ein ungltiger Port (" & temp & ") " & vbNewLine & "in der INI-Datei angegeben.", vbCritical, "Fehler")
        End
    End If
    
    Me.Hide
    ' Schonmal gestartet?
    If App.PrevInstance = True Then
        tcpClient.RemoteHost = "127.0.0.1"
        tcpClient.RemotePort = socketport
        PrevInstancebenachrichtigen
        While ENDE = False
            Sleep (50)
            DoEvents
        Wend
        End
    End If
    
    'Alle Batch-Dateien im Verzeichnis?
    If Not FileExists(apppath & "_raschck.bat") = True Then batende
    If Not FileExists(apppath & "_rasend.bat") = True Then batende
    If Not FileExists(apppath & "_rasstrt.bat") = True Then batende
    If Not FileExists(apppath & "_ripcfg.bat") = True Then batende
    
    Me.Caption = "RASConnect " & App.Major & "." & App.Minor
    writelog ("RASConnect Server Version " & App.Major & "." & App.Minor & " wurde gestartet")
    ' Die LocalPort-Eigenschaft auf eine ganze
    ' Zahl setzen. Dann die Listen-Methode aufrufen.
    tcpServer.LocalPort = socketport
    tcpServer.Listen
    
    statusSocket(0).LocalPort = (socketport + 1)
    statusSocket(0).Listen
End Sub



Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If tcpServer.State <> sckClosed Then tcpServer.Close
    writelog ("RASConnect Server beendet")
End Sub

Private Sub PrevInstancebenachrichtigen()
    tcpClient.Connect
End Sub

Private Sub minimieren_Click()
    Me.Hide
End Sub

Private Sub showLog_Click()
    Dim i As Variant
    If logging = False Then
        i = MsgBox("Das automatische Logging ist deaktiviert.", vbExclamation, "Hinweis")
        Exit Sub
    End If
    i = Shell("notepad.exe " & apppath & logfile, vbNormalFocus)
End Sub

Private Sub statusSocket_ConnectionRequest(Index As Integer, ByVal requestID As Long)
   If Index = 0 Then
      intmax = intmax + 1
      Load statusSocket(intmax)
      statusSocket(intmax).LocalPort = 0
      statusSocket(intmax).Accept requestID
   End If
End Sub

Private Sub statusSocket_DataArrival(Index As Integer, ByVal bytesTotal As Long)
    statusSocket(Index).SendData NoOfConnectionsToInternet & ""
End Sub

Private Sub tcpClient_Connect()
    tcpClient.SendData ("9999")
    ENDE = True
End Sub

Private Sub tcpServer_ConnectionRequest(ByVal requestID As Long)
    ' Prfen, ob die State-Eigenschaft des
    ' Steuerelements den Wert Closed (geschlossen)
    ' hat. Falls nicht, die Verbindung schlieen,
    ' bevor die neue Verbindung akzeptiert wird.
    If tcpServer.State <> sckClosed Then tcpServer.Close
    ' Die Anforderung mit dem Parameter
    ' requestID akzeptieren.
    tcpServer.Accept requestID
    writelog ("Die Verbindung vom Rechner " & tcpServer.RemoteHostIP & " wurde akzeptiert")
End Sub

Private Sub tcpserver_Close()
    tcpServer.Close
    writelog ("Die Verbindung zu Rechner " & tcpServer.RemoteHostIP & " wurde getrennt")
    tcpServer.Listen
End Sub

Private Sub tcpserver_SendComplete()
    If ENDE = True Then
        tcpServer.Close
        writelog ("Die Verbindung zu Rechner " & tcpServer.RemoteHostIP & " wurde getrennt")
        tcpServer.Listen
    End If
End Sub

Private Sub tcpServer_DataArrival(ByVal bytesTotal As Long)
    On Error Resume Next
    ' Eine Variable fr die eingehenden Daten deklarieren.
    ' Die GetData-Methode aufrufen, und die
    ' Text-Eigenschaft eines Textfelds namens
    ' txtOutput mit den Daten belegen.
    Dim strData As String
    Dim kommando As String
    tcpServer.GetData strData
    kommando = Left$(strData, 4)
    If kommando = "0001" Then liste_schicken
    If kommando = "0002" Then rasverbindungstarten (strData)
    If kommando = "0003" Then aktive_liste_schicken
    If kommando = "0004" Then rasverbindungentrennen
    If kommando = "0005" Then sendipconfig
    If kommando = "0006" Then logfile_schicken
    If kommando = "0007" Then verbindungszahl_schicken
    If kommando = "0008" Then status_schicken
    If kommando = "9999" Then instanzswitch
    ENDE = True
    tcpServer.SendData ("0000" & vbNewLine)
End Sub

Private Sub instanzswitch()
    If Me.Visible = False Then
        Me.Show
    Else: Me.Hide
    End If
End Sub

Private Sub status_schicken()
    'Anzahl schicken
    tcpServer.SendData ActiveConnectionStatus
End Sub

Private Sub verbindungszahl_schicken()
    Dim anzahl As String
    Dim lngIndex As Long
    'Eintraege zaehlen
    anzahl = "0" & vbNewLine
    anzahl = NoOfConnectionsToInternet & vbNewLine
    'Anzahl schicken
    tcpServer.SendData anzahl
End Sub
Private Sub liste_schicken()
    writelog ("Der Befehl (0001) zum Auflisten aller RAS-Verbindungen kam vom Rechner " & tcpServer.RemoteHostIP)
    Dim colRASEntries As Collection
    Dim strRASEntries As String
    Dim lngIndex As Long
    'Alle Eintrge ausgeben
    Set colRASEntries = GetRASEntries
    If Not (colRASEntries Is Nothing) Then
        For lngIndex = 1 To colRASEntries.Count
            'Eintrge zeilenweise auflisten
            strRASEntries = strRASEntries & colRASEntries(lngIndex) & vbCrLf
        Next lngIndex
    End If
    'Alle Verbindungsnamen ausgeben
    tcpServer.SendData strRASEntries
End Sub

Private Sub rasverbindungstarten(kommando As String)
    On Error Resume Next
    writelog ("Der Befehl (0002) zum Starten der RAS Verbindung '" & Mid$(kommando, 5) & "' kam vom Rechner " & tcpServer.RemoteHostIP)
    Dim pid As Long
    Dim FileNum As Integer
    Dim temp As String
    ChDrive (apppath)
    ChDir (apppath)
    Kill (apppath & "lock.cpc")
    Kill (apppath & "result.txt")
    'Warten bis die Lockfile wirklich gelscht
    Sleep (200)
    'Batch ausfhren, die nach Fertigstellung die Lockfile erzeugt
    pid = Shell(apppath & "_rasstrt.bat " & Mid$(kommando, 5), vbHide)
    'Warten bis Logfile existiert
    While FileExists(apppath & "lock.cpc") = False
        Sleep (50)
    Wend
    
    'Jetzt kann die result.txt eingelesn werden
    'und an den Client bertragen werden
    FileNum = FreeFile
    Open apppath & "result.txt" For Input As FileNum
    Do
        Input #FileNum, temp
        tcpServer.SendData temp & vbNewLine
    Loop Until EOF(FileNum) = True
    Close FileNum
    
End Sub

Private Sub aktive_liste_schicken()
    On Error Resume Next
    writelog ("Der Befehl (0003) zum Auflisten aller aktiven RAS-Verbindungen kam vom Rechner " & tcpServer.RemoteHostIP)
    Dim pid As Long
    Dim FileNum As Integer
    Dim temp As String
    ChDrive (apppath)
    ChDir (apppath)
    Kill (apppath & "lock.cpc")
    Kill (apppath & "result.txt")
    'Warten bis die Lockfile wirklich gelscht
    Sleep (200)
    'Batch ausfhren, die nach Fertigstellung die Lockfile erzeugt
    pid = Shell(apppath & "_raschck.bat", vbHide)
    'Warten bis Logfile existiert
    While FileExists(apppath & "lock.cpc") = False
        Sleep (50)
    Wend
    
    'Jetzt kann die result.txt eingelesn werden
    'und an den Client bertragen werden
    FileNum = FreeFile
    Open apppath & "result.txt" For Input As FileNum
    Do
        Input #FileNum, temp
        tcpServer.SendData temp & vbNewLine
    Loop Until EOF(FileNum) = True
    Close FileNum
End Sub

Private Sub rasverbindungentrennen()
    On Error Resume Next
    writelog ("Der Befehl (0004) zum Trennen aller RAS Verbindungen kam vom Rechner " & tcpServer.RemoteHostIP)
    Dim pid As Long
    Dim FileNum As Integer
    Dim temp As String
    Dim colRASEntries As Collection
    Dim lngIndex As Long
    'Alle Eintrge einzeln auslesen und einzeln beenden
    Set colRASEntries = GetRASEntries
    If Not (colRASEntries Is Nothing) Then
        For lngIndex = 1 To colRASEntries.Count
            ChDrive (apppath)
            ChDir (apppath)
            Kill (apppath & "lock.cpc")
            Kill (apppath & "result.txt")
            'Warten bis die Lockfile wirklich gelscht
            Sleep (200)
            pid = Shell(apppath & "_rasend.bat """ & colRASEntries(lngIndex) & """", vbHide)
            While FileExists(apppath & "lock.cpc") = False
                Sleep (50)
            Wend
        Next lngIndex
    End If
    
    aktive_liste_schicken
    
End Sub

Private Sub sendipconfig()
    On Error Resume Next
    Dim doppelt As Boolean
    doppelt = False
    writelog ("Der Befehl (0005) zum Auflisten der IP-Konfiguration kam vom Rechner " & tcpServer.RemoteHostIP)
    Dim pid As Long
    Dim FileNum As Integer
    Dim temp As String
    ChDrive (apppath)
    ChDir (apppath)
    Kill (apppath & "lock.cpc")
    Kill (apppath & "result.txt")
    'Warten bis die Lockfile wirklich gelscht
    Sleep (200)
    'Batch ausfhren, die nach Fertigstellung die Lockfile erzeugt
    pid = Shell(apppath & "_ripcfg.bat", vbHide)
    'Warten bis Logfile existiert
    While FileExists(apppath & "lock.cpc") = False
        Sleep (50)
    Wend
    
    'Jetzt kann die result.txt eingelesn werden
    'und an den Client bertragen werden
    FileNum = FreeFile
    doppelt = False
    Open apppath & "result.txt" For Input As FileNum
    Do
        Input #FileNum, temp
        'MsgBox ("!" & temp & "!")
        If temp = "" Then
            
            'MsgBox (doppelt)
            If doppelt = True Then
                tcpServer.SendData temp & vbCrLf
            End If
            doppelt = Not doppelt
        Else
            doppelt = False
            tcpServer.SendData temp & vbCrLf
        End If
    Loop Until EOF(FileNum) = True
    Close FileNum
End Sub

Private Sub logfile_schicken()
    On Error Resume Next
    writelog ("Der Befehl (0006) zum Schicken der Logfile kam vom Rechner " & tcpServer.RemoteHostIP)
    Dim pid As Long
    Dim FileNum As Integer
    Dim temp As String
    
    '------------------
    ' Dieser Teil muss stehenbleiben da sonst zuwenig Zeit vergeht
    ChDrive (apppath)
    ChDir (apppath)
    Kill (apppath & "lock.cpc")
    Kill (apppath & "result.txt")
    'Warten bis die Lockfile wirklich gelscht
    Sleep (200)
    'Batch ausfhren, die nach Fertigstellung die Lockfile erzeugt
    pid = Shell(apppath & "_ripcfg.bat", vbHide)
    'Warten bis Logfile existiert
    While FileExists(apppath & "lock.cpc") = False
        Sleep (50)
    Wend
    '------------------
    
    If logging = False Then
        tcpServer.SendData "Das automatische Logging ist deaktiviert" & vbNewLine
        Exit Sub
    End If
    'Jetzt kann die result.txt eingelesn werden
    'und an den Client bertragen werden
    FileNum = FreeFile
    Open apppath & logfile For Input As FileNum
    Do
        Input #FileNum, temp
        tcpServer.SendData temp & vbNewLine
    Loop Until EOF(FileNum) = True
    Close FileNum
End Sub

Private Sub writelog(eintrag As String)
    If logging = False Then Exit Sub
    Dim FileNum As Integer
    FileNum = FreeFile
    Open apppath & logfile For Append As FileNum
    Print #FileNum, Now() & ": " & eintrag
    Close FileNum
End Sub

Private Sub batende()
    Dim i As Variant
    i = MsgBox("Es befinden sich nicht alle erforderlichen" & vbNewLine & "Batch-Dateien im Anwendungsverzeichnis.", vbCritical, "Fehler")
    End
End Sub

Private Function winasciToUnicode(wechmach As String) As String
    wechmach = Replace(wechmach, Chr(129), "ue")
    wechmach = Replace(wechmach, Chr(220), "Ue")
    wechmach = Replace(wechmach, Chr(132), "ae")
    wechmach = Replace(wechmach, Chr(196), "Ae")
    wechmach = Replace(wechmach, Chr(148), "oe")
    wechmach = Replace(wechmach, Chr(214), "Oe")
    wechmach = Replace(wechmach, Chr(225), "ss")
    winasciToUnicode = wechmach
End Function

Public Function FileExists(Path As String) As Boolean
    Const NotFile = vbDirectory + vbVolume
    On Error Resume Next
    FileExists = (GetAttr(Path) And NotFile) = 0
End Function
