Attribute VB_Name = "modResponse"
Option Explicit

Private Const SMTO_BLOCK = &H1
Private Const SMTO_ABORTIFHUNG = &H2
Private Const WM_NULL = &H0
Private Const WM_CLOSE = &H10
Private Const PROCESS_ALL_ACCESS = &H1F0FFF

Public Declare Function SendMessageTimeout Lib "user32" Alias "SendMessageTimeoutA" (ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long, ByVal fuFlags As Long, ByVal uTimeout As Long, pdwResult As Long) As Long


Public Function childIsAlive(nhwnd As Long) As Boolean

    Dim lngResult As Long
    Dim lngReturn As Long
    
    ' If no app started, get out.
    '
    ' Check the status of the application specifying a timeout period of 1 second (1000 miliseconds).
    '
    ' SMTO_ABORTIFHUNG  -  Returns without waiting for the time-out period to elapse if the receiving
    '                      process appears to be in a "hung" state.
    '
    ' SMTO_BLOCK        -  Prevents the calling thread from processing any other requests until the
    '                      function returns.
    '
    lngReturn = SendMessageTimeout(nhwnd, WM_NULL, 0&, 0&, SMTO_ABORTIFHUNG And SMTO_BLOCK, 1000, lngResult)
    
    If lngReturn <> 0 Then
        childIsAlive = True
    Else
        childIsAlive = False
    End If
    
End Function

